Opened 5 years ago

Closed 5 years ago

#51480 closed defect (fixed)

octave-config -p VERSION fails after update to 4.0.2

Reported by: skymoo (Adam Mercer) Owned by: MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)
Priority: Normal Milestone:
Component: ports Version: 2.3.4
Keywords: Cc: emaros
Port: octave

Description

Just updated a couple of my machines to octave-4.0.2 and some automatic builds that use octave are now failing. Specifically they are failing when they try to determine the version of octave that is installed:

$ octave-config -p VERSION
No Java runtime present, requesting install.
$

However a JRE is installed:

$ which java
/usr/bin/java
$

I have the following variants enabled:

$ port installed octave
The following ports are currently installed:
  octave @4.0.2_0+accelerate+app+docs+fltk+gfortran+graphicsmagick+java+qt4gui+sound (active)
$

Change History (4)

comment:1 Changed 5 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Status: newassigned

Between this ticket and a discussion on the users mailing list, it seems the java variant is causing problems.
As of r149046, it is no longer a default variant.
octave uses the java PortGroup, which apparently did not work on your setup.
To fix the problem, we would either need to figure out why the java PortGroup did not work in your case or simply reinstall octave without the java variant.

comment:2 Changed 5 years ago by skymoo (Adam Mercer)

Thanks disabling the java variant has done the trick with my local machine. Now to try the others...

comment:3 Changed 5 years ago by skymoo (Adam Mercer)

That did the trick, thanks! My jobs are building again!

comment:4 Changed 5 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Resolution: fixed
Status: assignedclosed

Under the circumstances, I believe we should call this fixed.
If someone wants to do more work with the java PortGroup, then we should open a ticket for that specific purpose.

Note: See TracTickets for help on using tickets.